Subject: [tsvwg] draft-ietf-tsvwg-iana-dscp-registry-00 - Acronym problems

From: "Black, David" <[email-masked]>
Date: Wed, 7 Mar 2018 06:02:49 +0000

A first WGLC comment - it looks like a bunch of acronyms were corrupted in the initial WG -00 version of this draft.

Changes needed include:

IONA -> IANA
DEC -> DSCP
PB -> PHB
RCS -> RFCs
TAUS -> TAUS

Thanks, --David
----------------------------------------------------------------
David L. Black, Distinguished Engineer
Dell EMC, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953    Mobile: +1 (978) 394-7754
[email-masked]<mailto:[email-masked]>
----------------------------------------------------------------

---

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 07 Mar 2018 08:57:00 +0000

I am really sorry. That's quite a nuisance!

I now have a new revision -01 ready that resloves this issue.

Gorry

On 07/03/2018, 06:02, Black, David wrote:
>
> A first WGLC comment – it looks like a bunch of acronyms were 
> corrupted in the initial WG -00 version of this draft.
>
> Changes needed include:
>
> IONA -> IANA
>
> DEC -> DSCP
>
> PB -> PHB
>
> RCS -> RFCs
>
> TAUS -> TAUS
>
> Thanks, --David
>
> [email-masked] <mailto:[email-masked]>
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 8 Mar 2018 08:20:47 +1300

> TAUS -> TAUS

That one is a bit hard to parse out of context ;-)

I'm curious to know which transformation tool Gorry used to make this particular
set of substitutions. However, apart from this set of nits, I think the
document is in good shape and ready for the IESG.

Regards
   Brian

---

From: "Black, David" <[email-masked]>
Date: Wed, 7 Mar 2018 21:12:41 +0000

That was supposed to be TAUS -> TOS ...

Thanks, --David

> -----Original Message-----
> From: Brian Carpenter [mailto:[email-masked]] On Behalf Of Brian E
> Carpenter
> Sent: Wednesday, March 7, 2018 2:21 PM
> To: [email-masked]; Black, David <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [tsvwg] draft-ietf-tsvwg-iana-dscp-registry-00 - Acronym problems
> 
> > TAUS -> TAUS
>

---

From: <[email-masked]>
Date: Thu, 8 Mar 2018 08:17:42 +0000

Hi Gorry,

I agree with Brian on the readiness for IESG.

One editorial question related to a quote:

5.  IANA Considerations

      3 xxxx01 Experimental or Local Use May be utilized for future
      Standards Action allocations as necessary.

The capital letter "M" is a bit strange. RFC2474 adds the sentence 
by a separate footnote "(*) may....". Is a comma ok here? 

      3 xxxx01 Experimental or Local Use, may be utilized for future
      Standards Action allocations as necessary.

Regards,

Ruediger

-----Ursprüngliche Nachricht-----
Von: tsvwg [mailto:[email-masked]] Im Auftrag von Brian E Carpenter

[snip]

However, apart from this set of nits, I think the document is in good shape and ready for the IESG.

Regards
   Brian

---

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 08 Mar 2018 08:22:31 +0000

>        Standards Action allocations as necessary.
Yes - I agree. This "May" certainly should be chnaged in case. I will do 
that in my version.
Gorry

---

From: "Bless, Roland (TM)" <[email-masked]>
Date: Fri, 16 Mar 2018 17:50:59 +0100

Hi,

see comments below.

> Yes - I agree. This "May" certainly should be chnaged in case. I will do

Not quite, if I look at the IANA Registry it is written in different
columns, that's why it starts with "May".
So it is more like:
3 | xxxx01 | Experimental or Local | Use May be utilized for future
Standards Action allocations as necessary.

I reviewed the -01 version and besides from nits it is ready for the
IESG. However, I would suggest to shorten the title to:
IANA Assignment of DSCP Pool 3 (xxxx01) Values to require Standards Action

Summary of nits:
- still messed up some acronyms (PB -> PHB, DEC's -> DSCPs)
- code point -> codepoint (that should be consistent with RFC2474 IMHO)

I suppose that these are auto correction features of some
word processor...

In detail (additional explanations are put in [...]):

OLD:
   DSCP registry; Pool 1 code points (i.e., DEC's of the form xxxx11)
NEW:
   DSCP registry; Pool 1 code points (i.e., DSCPs of the form xxxx11)

OLD:
   former IPv4 Type of Service (TOS) octet or the former IPV6 Traffic
NEW:
   former IPv4 Type of Service (TOS) octet or the former IPv6 Traffic

OLD:
   hop Behaviour, PB.
NEW:
   hop Behavior, PHB.

[fix exact quotation from parts of RFC2474]
OLD:
   use, but which were indicated should be preferentially utilized for
NEW:
   use", but which were indicated "should be preferentially utilized for

[Fig1. on p.3]
OLD:
| Pool | Code point Space |
NEW:
| Pool | Codepoint Space |

OLD:
Figure 1: Format of the field for code points allocated in the
NEW:
Figure 1: Format of the field for codepoints allocated in the

OLD:
traffic (packets forwarded with the default PB) from LE traffic in
NEW:
traffic (packets forwarded with the default PHB) from LE traffic in

OLD:
   method requires publication of a Standards Track or Best Current
   Practice RFC.
NEW:
   method requires publication of a Standards Track or Best Current
   Practice RFC (see [RFC8126]).

[Section 2. should include the RFC8174 update]
OLD:
   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in
   [RFC2119].
NEW:
      The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL
      NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED",
      "MAY", and "OPTIONAL" in this document are to be interpreted as
      described in BCP 14 [RFC2119] [RFC8174] when, and only when, they
      appear in all capitals, as shown here.

OLD:
      previous availability for experimental or local use)".
NEW:
      previous availability for experimental or local use).

[Fig. 2]
OLD:
               Pool        code point space          Assignment Policy
               ----        ---------------          -----------------
NEW:
               Pool        codepoint space          Assignment Policy
               ----        ---------------          -----------------

OLD:
   Security considerations for the use of DSCP's are described in the
NEW:
   Security considerations for the use of DSCPs are described in the

OLD:
   registry and to manage this pool using a Standards Action assignment
   method.
NEW:
   registry and to manage this pool using a Standards Action assignment
   method [RFC8126].

OLD:
   Differentiated Services field Code Points (DSCP) Registry, made
NEW:
   Differentiated Services Field Codepoints (DSCP) Registry, made

OLD:

   is replaced with the following registry text:

      3 xxxx01 Standards Action.
NEW:
   Pool | Codepoint Space | Registration Procedure    | Note
   ...
   3    | xxxx01          | Experimental or Local Use | May be utilized
for future Standards Action allocations as necessary.

   is replaced with the following registry text:

   Pool | Codepoint Space | Registration Procedure    | Note
   ...
   3    | xxxx01          | Standards Action          |

OLD:
   To manage code points in Pool 3, IANA is requested to create and
   maintain a "Pool 3 code points" entry.  Pool 3 of the registry is to
NEW:
   To manage codepoints in Pool 3, IANA is requested to create and
   maintain a "Pool 3 codepoints" entry.  Pool 3 of the registry is to

OLD:
   a specific PB. The required characteristics for choosing the DSCP
NEW:
   a specific PHB. The required characteristics for choosing the DSCP

OLD:
   [Registry]
              IANA, "Differentiated Services Field code points (DSCP),
NEW:
   [Registry]
              IANA, "Differentiated Services Field Codepoints (DSCP),

Appendix A:
The note

   This document is an individual submission, seeking adoption by the
   Transport and Services Working Group (TSVWG).

can be removed now.

That's all.
 Roland